import React from "react";
import { CardType, GenericReactComponent, StyleSplittedI, XPayCardStyle } from "types";
export interface XPayCardProps {
    /** XPay Build card type. Defaults to `single` */
    cardType?: CardType | undefined;
    /** XPay Build style object **/
    style?: XPayCardStyle | null;
    /** React style object applied to wrapper div **/
    styleWrapper?: React.CSSProperties | null;
    classNameWrapper?: string | null;
    /** React style object applied to wrapper divs **/
    styleSplitted?: StyleSplittedI;
    /** React components: splitted form labels */
    labelPan?: GenericReactComponent | null;
    labelExpiry?: GenericReactComponent | null;
    labelCVC?: GenericReactComponent | null;
    /** React style object applied to errors div **/
    styleErrors?: React.CSSProperties | null;
    /** Defaults `true`. Use `showError = false` to hide library errors. **/
    showErrors?: boolean;
    /** With `showError = false` you can pass a handler to set errors in your component **/
    cardErrorHandler?: (v: string) => void | null;
}
/**
 * @prop showErrors
 * @prop cardErrorHandler
 **/
export declare const XPayCard: React.ForwardRefExoticComponent<XPayCardProps & React.RefAttributes<unknown>>;
export declare const useCard: () => {
    pay: (cardRef: any) => any;
};
//# sourceMappingURL=XPayCard.d.ts.map