import { CustomConfigI, GenericObject, OrderInterface, XPay } from "../../types";
/**
 * Builds initial XPay config object
 **/
export declare function buildConfig(apiKey: string, isProduction: boolean, order: OrderInterface, XPay: XPay, customConfig: null | CustomConfigI): GenericObject;
export declare const validateXPay: (xpay: unknown) => null | XPay;
export declare type XPayProp = {
    tag: "empty";
} | {
    tag: "sync";
    sdk: XPay;
} | {
    tag: "async";
    sdkPromise: Promise<XPay | null>;
};
export interface XPayWrapperContextValue {
    sdk: XPay | null;
}
/**
 * Parses loaded XPay data from prop
 * XPay data can be:
 * - a `pending promise` (tag `async`)
 * - `null` (SSR, tag `empty`)
 * - an `object` (promise fulfilled, tag `sync`)
 **/
export declare const parseXPayProp: (raw: unknown) => XPayProp;
//# sourceMappingURL=utils.d.ts.map