/// <reference types="react" />
export declare type XPay = any;
export interface NexiEvent extends Event {
    [key: string]: any;
}
export interface XPaySdkParams {
    alias: string;
    isProduction: boolean;
    url?: string;
}
export declare type LoadXPay = (args: XPaySdkParams) => Promise<XPay | null>;
export declare type SetLoadParams = (args: XPaySdkParams) => void;
export declare enum IntegrationType {
    PRODUCTION = "PRODUCTION",
    TEST = "TEST"
}
export declare enum NexiUrl {
    PRODUCTION = "https://ecommerce.nexi.it/ecomm/XPayBuild/js",
    TEST = "https://int-ecommerce.nexi.it/ecomm/XPayBuild/js"
}
export declare enum ERRORS {
    SCRIPT_EXISTS = "script already expists",
    SCRIPT_INJECT = "Cannot inject Nexi script in HTML document",
    FAILED_TO_LOAD = "Failed to load XPay SDK",
    SDK_NOT_AVAILABLE = "XPay's sdk is not available",
    XPAY_NOT_VALID = "XPay object is not valid",
    PROVIDER_PROPS_CHANGED = "Unsupported prop change on XPayProvider. You cannot change its props after setting them",
    USE_XPAY_PROVIDER = "Error, useXPay must be used in a component wrapped in XPayProvider",
    MISSING_NONCE_HANDLER = "onNonceEvent fired but custom handler is missing",
    MISSING_PAYMENT_RESULT_HANDLER = "PaymentResult fired but custom handler is missing"
}
export declare enum Languages {
    ITA = "ITA",
    ENG = "ENG",
    SPA = "SPA",
    FRA = "FRA",
    GER = "GER",
    JPN = "JPN",
    CHI = "CHI",
    ARA = "ARA",
    RUS = "RUS",
    POR = "POR"
}
export declare type PaymentMethod = "APPLEPAY" | "AMAZONPAY" | "MYBANK" | "PPRO_MYBANK" | "NEXIPAY" | "SCT" | "ALIPAY" | "WECHATPAY" | "GIROPAY" | "IDEAL" | "EPS" | "BCMC" | "P24" | "GOOGLEPAY" | "PAYPAL" | "SATISPAY";
export interface OrderI {
    amount: number | string;
    transactionId: string;
    currency: number | string;
    timeStamp: number;
    mac: string;
    url?: string;
    urlPost?: string;
    urlBack?: string;
    requestType?: string;
    serviceType?: string;
    num_contratto?: number | string;
}
export interface OrderInterface extends OrderI, GenericObject {
}
export interface XPayProviderI {
    sdk: any;
    order: OrderInterface;
    apiKey: string;
    isProduction: boolean;
    xpayReadyHandler?: (e: NexiEvent) => any;
    paymentStartedHandler?: (e: NexiEvent) => any;
    nonceHandler?: (e: NexiEvent) => any;
    paymentResultHandler?: (e: NexiEvent) => any;
    customConfig?: CustomConfigI | null;
    secure?: boolean;
    children?: any;
}
export interface GenericObject {
    [key: string]: any;
}
export interface CustomConfigI {
    main?: GenericObject;
    baseConfig?: GenericObject;
    paymentParams?: GenericObject;
    customParams?: GenericObject;
    language?: Languages;
}
export interface XPayCardStyle {
    common?: XPayCardAvailableStyles;
    correct?: XPayCardAvailableStyles;
    error?: XPayCardAvailableStyles;
}
export interface XPayCardAvailableStyles {
    fontFamily?: string;
    fontSize?: string | number;
    fontStyle?: string;
    letterSpacing?: string | number;
    "::placeholder"?: {
        color?: string | number;
    };
    color?: string | number;
}
export declare enum CardTypes {
    CARD = "card",
    SPLIT = "split"
}
export declare type CardType = "card" | "split";
export declare type GenericReactComponent = React.FC | React.FC[] | React.ReactNode | React.ReactNode[] | React.Component | React.Component[] | JSX.Element | JSX.Element[];
export interface StyleSplittedI {
    wrapper?: React.CSSProperties | null;
    classNameWrapper?: string | null;
    pan?: StyleSplittedIField;
    expiry?: StyleSplittedIField;
    cvc?: StyleSplittedIField;
}
export interface StyleSplittedIField {
    wrapper?: React.CSSProperties | null;
    classNameWrapper?: string | null;
    input?: React.CSSProperties | null;
    classNameInput?: string | null;
}
//# sourceMappingURL=index.d.ts.map